searchData={"content_type":"text/markdown","items":[{"doc":"Simple DNS based cluster discovery.\n\nA DNS query is made every `:interval` milliseconds to discover new ips.\nNodes will only be joined if their node basename matches the basename of the\ncurrent node. For example if `node()` is `myapp-123@fdaa:1:36c9:a7b:198:c4b1:73c6:1`,\na `Node.connect/1` attempt will be made against every IP returned by the DNS query,\nbut will only be successful if there is a node running on the remote host with the same\nbasename, for example `myapp-123@fdaa:1:36c9:a7b:198:c4b1:73c6:2`. Nodes running on\nremote hosts, but with different basenames will fail to connect and will be ignored.","ref":"DNSCluster.html","title":"DNSCluster","type":"module"},{"doc":"To start in your supervision tree, add the child:\n\n    children = [\n      ...,\n      {DNSCluster, query: \"myapp.internal\"}\n    ]\n\nSee the `start_link/1` docs for all available options.\n\nIf you require more advanced clustering options and strategies, see the\n[libcluster](https://hexdocs.pm/libcluster) library.","ref":"DNSCluster.html#module-examples","title":"Examples - DNSCluster","type":"module"},{"doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"DNSCluster.html#child_spec/1","title":"DNSCluster.child_spec/1","type":"function"},{"doc":"Starts DNS based cluster discovery.","ref":"DNSCluster.html#start_link/1","title":"DNSCluster.start_link/1","type":"function"},{"doc":"* `:name` - the name of the cluster. Defaults to `DNSCluster`.\n  * `:query` - the required DNS query for node discovery, for example: `\"myapp.internal\"`.\n    The value `:ignore` can be used to ignore starting the DNSCluster.\n  * `:interval` - the millisec interval between DNS queries. Defaults to `5000`.\n  * `:connect_timeout` - the millisec timeout to allow discovered nodes to connect.\n    Defaults to `10_000`.","ref":"DNSCluster.html#start_link/1-options","title":"Options - DNSCluster.start_link/1","type":"function"},{"doc":"iex> DNSCluster.start_link(query: \"myapp.internal\")\n    {:ok, pid}\n\n    iex> DNSCluster.start_link(query: :ignore)\n    :ignore","ref":"DNSCluster.html#start_link/1-examples","title":"Examples - DNSCluster.start_link/1","type":"function"}]}